- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Defines | Typedefs | Functions

# qobjectdefs.h File Reference

`#include <QtCore/qnamespace.h>`

Go to the source code of this file.

## Classes
class | QGenericArgument
class | QGenericReturnArgument
class | QArgument< T >
class | QArgument< T & >
class | QReturnArgument< T >
struct | QMetaObject
struct | QMetaObjectExtraData
## Defines
#define | Q_MOC_OUTPUT_REVISION 62
#define | slots
#define | signals protected
#define | Q_SLOTS
#define | Q_SIGNALS protected
#define | Q_PRIVATE_SLOT(d, signature)
#define | Q_EMIT
#define | emit
#define | Q_CLASSINFO(name, value)
#define | Q_INTERFACES(x)
#define | Q_PROPERTY(text)
#define | Q_PRIVATE_PROPERTY(d, text)
#define | Q_OVERRIDE(text)
#define | Q_ENUMS(x)
#define | Q_FLAGS(x)
#define | Q_SCRIPTABLE
#define | Q_INVOKABLE
#define | Q_SIGNAL
#define | Q_SLOT
#define | QT_TR_FUNCTIONS
#define | Q_OBJECT_CHECK
#define | Q_OBJECT_GETSTATICMETAOBJECT
#define | Q_OBJECT
#define | Q_OBJECT_FAKE Q_OBJECT
#define | Q_GADGET
#define | QTOSTRING_HELPER(s) #s
#define | QTOSTRING(s) QTOSTRING_HELPER(s)
#define | QLOCATION "\0"__FILE__":"QTOSTRING(__LINE__)
#define | METHOD(a) qFlagLocation("0"#a QLOCATION)
#define | SLOT(a) qFlagLocation("1"#a QLOCATION)
#define | SIGNAL(a) qFlagLocation("2"#a QLOCATION)
#define | QMETHOD_CODE 0
#define | QSLOT_CODE 1
#define | QSIGNAL_CODE 2
#define | Q_ARG(type, data) QArgument<type >(#type, data)
#define | Q_RETURN_ARG(type, data) QReturnArgument<type >(#type, data)
## Typedefs
typedef const QMetaObject &(* | QMetaObjectAccessor )()
## Functions
template<typename T >
int | qYouForgotTheQ_OBJECT_Macro (T, T)
template<typename T1 , typename T2 >
void | qYouForgotTheQ_OBJECT_Macro (T1, T2)
Q_CORE_EXPORT const char * | qFlagLocation (const char *method)

## Define Documentation

#define Q_MOC_OUTPUT_REVISION 62

Search for all occurrences

Definition at line 58 of file qobjectdefs.h.

#define slots

Search for all occurrences

Definition at line 68 of file qobjectdefs.h.

#define signals protected

Search for all occurrences

Definition at line 69 of file qobjectdefs.h.

#define Q_SLOTS

Search for all occurrences

Definition at line 71 of file qobjectdefs.h.

#define Q_SIGNALS protected

Search for all occurrences

Definition at line 72 of file qobjectdefs.h.

#define Q_PRIVATE_SLOT | ( |  | d,
|  |  | signature
| ) |  |

Search for all occurrences

Definition at line 73 of file qobjectdefs.h.

#define Q_EMIT

Search for all occurrences

Definition at line 74 of file qobjectdefs.h.

#define emit

Search for all occurrences

Definition at line 76 of file qobjectdefs.h.

#define Q_CLASSINFO | ( |  | name,
|  |  | value
| ) |  |

Search for all occurrences

Definition at line 78 of file qobjectdefs.h.

#define Q_INTERFACES | ( |  | x | ) |

Search for all occurrences

Definition at line 79 of file qobjectdefs.h.

#define Q_PROPERTY | ( |  | text | ) |

Search for all occurrences

Definition at line 80 of file qobjectdefs.h.

#define Q_PRIVATE_PROPERTY | ( |  | d,
|  |  | text
| ) |  |

Search for all occurrences

Definition at line 81 of file qobjectdefs.h.

#define Q_OVERRIDE | ( |  | text | ) |

Search for all occurrences

Definition at line 82 of file qobjectdefs.h.

#define Q_ENUMS | ( |  | x | ) |

Search for all occurrences

Definition at line 83 of file qobjectdefs.h.

#define Q_FLAGS | ( |  | x | ) |

Search for all occurrences

Definition at line 84 of file qobjectdefs.h.

#define Q_SCRIPTABLE

Search for all occurrences

Definition at line 88 of file qobjectdefs.h.

#define Q_INVOKABLE

Search for all occurrences

Definition at line 89 of file qobjectdefs.h.

#define Q_SIGNAL

Search for all occurrences

Definition at line 90 of file qobjectdefs.h.

#define Q_SLOT

Search for all occurrences

Definition at line 91 of file qobjectdefs.h.

#define QT_TR_FUNCTIONS

Search for all occurrences
Value:

    static inline QString tr(const char *s, const char *c = 0) \
            { return staticMetaObject.tr(s, c); } \
        static inline QString trUtf8(const char *s, const char *c = 0) \
            { return staticMetaObject.trUtf8(s, c); } \
        static inline QString tr(const char *s, const char *c, int n) \
            { return staticMetaObject.tr(s, c, n); } \
        static inline QString trUtf8(const char *s, const char *c, int n) \
            { return staticMetaObject.trUtf8(s, c, n); }

Definition at line 97 of file qobjectdefs.h.

#define Q_OBJECT_CHECK

Search for all occurrences
Value:

    template <typename T> inline void qt_check_for_QOBJECT_macro(const T &_q_argument) const \
        { int i = qYouForgotTheQ_OBJECT_Macro(this, &_q_argument); i = i; }

Definition at line 138 of file qobjectdefs.h.

#define Q_OBJECT_GETSTATICMETAOBJECT

Search for all occurrences

Definition at line 152 of file qobjectdefs.h.

#define Q_OBJECT

Search for all occurrences
Value:

    public: \
        Q_OBJECT_CHECK \
        static const QMetaObject staticMetaObject; \
        Q_OBJECT_GETSTATICMETAOBJECT \
        virtual const QMetaObject *metaObject() const; \
        virtual void *qt_metacast(const char *); \
        QT_TR_FUNCTIONS \
        virtual int qt_metacall(QMetaObject::Call, int, void **); \
    private:

Definition at line 156 of file qobjectdefs.h.

#define Q_OBJECT_FAKE Q_OBJECT

Search for all occurrences

Definition at line 167 of file qobjectdefs.h.

#define Q_GADGET

Search for all occurrences
Value:

    public: \
        static const QMetaObject staticMetaObject; \
        Q_OBJECT_GETSTATICMETAOBJECT \
    private:

Definition at line 169 of file qobjectdefs.h.

#define QTOSTRING_HELPER | ( |  | s | ) | #s

Search for all occurrences

Definition at line 214 of file qobjectdefs.h.

#define QTOSTRING | ( |  | s | ) | QTOSTRING_HELPER(s)

Search for all occurrences

Definition at line 215 of file qobjectdefs.h.

#define QLOCATION "\0"__FILE__":"QTOSTRING(__LINE__)

Search for all occurrences

Definition at line 217 of file qobjectdefs.h.

#define METHOD | ( |  | a | ) | qFlagLocation("0"#a QLOCATION)

Search for all occurrences

Definition at line 218 of file qobjectdefs.h.

#define SLOT | ( |  | a | ) | qFlagLocation("1"#a QLOCATION)

Search for all occurrences

Examples:
  MeshDisplace/displacer.cpp.

Definition at line 219 of file qobjectdefs.h.

#define SIGNAL | ( |  | a | ) | qFlagLocation("2"#a QLOCATION)

Search for all occurrences

Examples:
  MeshDisplace/displacer.cpp.

Definition at line 220 of file qobjectdefs.h.

#define QMETHOD_CODE 0

Search for all occurrences

Definition at line 233 of file qobjectdefs.h.

#define QSLOT_CODE 1

Search for all occurrences

Definition at line 234 of file qobjectdefs.h.

#define QSIGNAL_CODE 2

Search for all occurrences

Definition at line 235 of file qobjectdefs.h.

#define Q_ARG | ( |  | type,
|  |  | data
| ) |  | QArgument<type >(#type, data)

Search for all occurrences

Definition at line 237 of file qobjectdefs.h.

#define Q_RETURN_ARG | ( |  | type,
|  |  | data
| ) |  | QReturnArgument<type >(#type, data)

Search for all occurrences

Definition at line 238 of file qobjectdefs.h.

## Typedef Documentation

typedef const QMetaObject&(* QMetaObjectAccessor)()

Search for all occurrences

Definition at line 467 of file qobjectdefs.h.

## Function Documentation

int qYouForgotTheQ_OBJECT_Macro | ( | T | ,
|  | T |
| ) |  | `[inline]`

Search for all occurrences

Definition at line 143 of file qobjectdefs.h.

    { return 0; }

void qYouForgotTheQ_OBJECT_Macro | ( | T1 | ,
|  | T2 |
| ) |  | `[inline]`

Search for all occurrences

Definition at line 146 of file qobjectdefs.h.

    {}

Q_CORE_EXPORT const char* qFlagLocation | ( | const char * | method | ) |

Search for all occurrences